INTERFACE
subroutine qneglimtl (pq,pq5,k1dim1,k1dim2,k2dim1,k2dim2,&
 & k1ist,k1end,k2ist,k2end) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: K1DIM1
INTEGER(KIND=JPIM),INTENT(IN) :: K1DIM2
INTEGER(KIND=JPIM),INTENT(IN) :: K2DIM1
INTEGER(KIND=JPIM),INTENT(IN) :: K2DIM2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(K1DIM1:K1DIM2,K2DIM1:K2DIM2)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ5(K1DIM1:K1DIM2,K2DIM1:K2DIM2)
INTEGER(KIND=JPIM),INTENT(IN) :: K1IST
INTEGER(KIND=JPIM),INTENT(IN) :: K1END
INTEGER(KIND=JPIM),INTENT(IN) :: K2IST
INTEGER(KIND=JPIM),INTENT(IN) :: K2END
end subroutine qneglimtl
END INTERFACE
